X
Tap here to go to the mobile version of the site.

منتدى الدعم

Is there an older versionof firefox I can use for my 10.2 Mac

Posted

My Mac is a 10.2.8 revision. The Firefox version I am using is not compatible with gmail. My Mac revision is old and cannot upgrade to the latest revision of Firefox. Is there an old version of Firefox that can be used with my Mac?

My Mac is a 10.2.8 revision. The Firefox version I am using is not compatible with gmail. My Mac revision is old and cannot upgrade to the latest revision of Firefox. Is there an old version of Firefox that can be used with my Mac?

Additional System Details

This happened

Every time Firefox opened

This started when...

two weeks ago

Installed Plug-ins

  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Netscape Navigator Default Plug-in
  • Shockwave Flash 9.0 r260
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Java 1.3.1 Plug-in (CFM)
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Java 1.3.1 Plug-in

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.20) Gecko/20081217 Firefox/2.0.0.20

More Information

cor-el
  • Top 10 Contributor
  • Moderator
17762 solutions 160641 answers
The last Firefox version that works on OS X 10.3.x is 2.0.0.20. * https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/ * http://www.mozilla.com/firefox/2.0/system-requirements/ * http://www.mozilla.com/firefox/3.6/system-requirements/ ..... Other browsers that you can look at: * Camino: http://caminobrowser.org/download/releases/#os10.2.8 * [http://en.wikipedia.org/wiki/ICab iCab]: http://www.icab.de/dl.php * SeaMonkey: http://www.seamonkey-project.org/releases/seamonkey1.1.19